/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.scheduleView.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.scheduleView.entity.ScheduleView;
import com.jeeplus.modules.sg.scheduleView.mapper.ScheduleViewMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 查询模块Service
 * @author
 * @version 2019-11-08
 */
@Service
@Transactional(readOnly = true)
public class ScheduleViewService extends CrudService<ScheduleViewMapper, ScheduleView> {

	@Autowired
	private ScheduleViewMapper scheduleViewMapper;


	public Page<ScheduleView> scheduleProjectAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.scheduleProjectAll(scheduleView));
		return page;
	}

	//List<ScheduleView> disAll(ScheduleView scheduleView);

	public Page<ScheduleView> disAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.disAll(scheduleView));
		return page;
	}

	public List<ScheduleView> disAll(ScheduleView view){
		return scheduleViewMapper.disAll(view);
	}

	public Page<ScheduleView> recAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.recAll(scheduleView));
		return page;
	}

	public List<ScheduleView> recAll(ScheduleView view){
		return scheduleViewMapper.recAll(view);
	}

	public Page<ScheduleView> settAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.settAll(scheduleView));
		return page;
	}

	public Page<ScheduleView> civilAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.civilAll(scheduleView));
		return page;
	}

	public Page<ScheduleView> electricAll(Page<ScheduleView> page, ScheduleView scheduleView) {
		dataRuleFilter(scheduleView);
		scheduleView.setPage(page);
		page.setList(scheduleViewMapper.electricAll(scheduleView));
		return page;
	}


}